//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated from a template.
//
//     Manual changes to this file may cause unexpected behavior in your application.
//     Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace eCommerce.Services.Model
{
    using System;
    using System.Collections.Generic;
    
    public partial class CustomerAccountingOperation
    {
        public int CustomerAccountingOperationId { get; set; }
        public int CustomerId { get; set; }
        public Nullable<int> OrderId { get; set; }
        public Nullable<int> TransactiontId { get; set; }
        public string Description { get; set; }
        public decimal Value { get; set; }
        public Nullable<int> CurrencyId { get; set; }
        public System.DateTime Created { get; set; }
        public string CreatedBy { get; set; }
        public Nullable<System.DateTime> Deleted { get; set; }
        public string DeletedBy { get; set; }
    
        public virtual Customer Customer { get; set; }
        public virtual Order Order { get; set; }
        public virtual Transaction Transaction { get; set; }
    }
}
